a=input()
b=input()
c=input()
d=input()
if a>b>c>d:
    print('a>b>c>d')
if a>c>d>b:
    print('a>c>d>b')
if a>d>b>c:
    print('a>d>b>c')   
if b>a>c>d:
    print('b>a>c>d')
if b>c>d>a:
    print('b>c>d>a')
if b>d>a>c:
    print('b>d>a>c')
if c>a>b>d:
    print('c>a>b>d')
if c>b>d>a:
    print('c>b>d>a')
if c>d>a>b:
    print('c>d>a>b')
if d>a>b>c:
    print('d>a>b>c')
if d>b>c>a:
    print('d>b>c>a')
if d>c>a>b:
    print('d>c>a>b')

    
   
    
    
    
    
    
    
    